<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Source/Synopsis/Formatters/HTML/Fragment.py.html -->
<!-- this view was generated by Source -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/Formatters/HTML/Fragment.py</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Source">
<div class="navigation">
<span class="normal"><a href="../../../../Scopes/Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
File: <b >Synopsis/Formatters/HTML/Fragment.py</b><pre class="sxr"><a id="line1"></a><span class="lineno"> 1</span><span class="line"><span class="py-comment">#</span></span>
<a id="line2"></a><span class="lineno"> 2</span><span class="line"><span class="py-comment"># Copyright (C) 2000 Stephen Davies</span></span>
<a id="line3"></a><span class="lineno"> 3</span><span class="line"><span class="py-comment"># Copyright (C) 2000 Stefan Seefeld</span></span>
<a id="line4"></a><span class="lineno"> 4</span><span class="line"><span class="py-comment"># All rights reserved.</span></span>
<a id="line5"></a><span class="lineno"> 5</span><span class="line"><span class="py-comment"># Licensed to the public under the terms of the GNU LGPL (&gt;= 2),</span></span>
<a id="line6"></a><span class="lineno"> 6</span><span class="line"><span class="py-comment"># see the file COPYING for details.</span></span>
<a id="line7"></a><span class="lineno"> 7</span><span class="line"><span class="py-comment">#</span></span>
<a id="line8"></a><span class="lineno"> 8</span>
<a id="line9"></a><span class="lineno"> 9</span><span class="line"><span class="py-keyword">from</span> Tags <span class="py-keyword">import</span> *</span>
<a id="line10"></a><span class="lineno">10</span>
<a id="line11"></a><span class="lineno">11</span><span class="line"><span class="py-keyword">class</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html">Fragment</a>(object):</span>
<a id="line12"></a><span class="lineno">12</span><span class="line">   <span class="py-string">&quot;&quot;&quot;Generates HTML fragment for a declaration. Multiple strategies are</span></span>
<a id="line13"></a><span class="lineno">13</span><span class="line"><span class="py-string">   combined to generate the output for a single declaration, allowing the</span></span>
<a id="line14"></a><span class="lineno">14</span><span class="line"><span class="py-string">   user to customise the output by choosing a set of strategies. This follows</span></span>
<a id="line15"></a><span class="lineno">15</span><span class="line"><span class="py-string">   the Strategy design pattern.</span></span>
<a id="line16"></a><span class="lineno">16</span><span class="line"><span class="py-string">   </span></span>
<a id="line17"></a><span class="lineno">17</span><span class="line"><span class="py-string">   The key concept of this class is the format* methods. Any</span></span>
<a id="line18"></a><span class="lineno">18</span><span class="line"><span class="py-string">   class derived from Strategy that overrides one of the format methods</span></span>
<a id="line19"></a><span class="lineno">19</span><span class="line"><span class="py-string">   will have that method called by the Summary and Detail formatters when</span></span>
<a id="line20"></a><span class="lineno">20</span><span class="line"><span class="py-string">   they visit that ASG type. Summary and Detail maintain a list of</span></span>
<a id="line21"></a><span class="lineno">21</span><span class="line"><span class="py-string">   Strategies, and a list for each ASG type.</span></span>
<a id="line22"></a><span class="lineno">22</span><span class="line"><span class="py-string">    </span></span>
<a id="line23"></a><span class="lineno">23</span><span class="line"><span class="py-string">   For example, when Strategy.Summary visits a Function object, it calls</span></span>
<a id="line24"></a><span class="lineno">24</span><span class="line"><span class="py-string">   the formatFunction method on all Strategys registed with</span></span>
<a id="line25"></a><span class="lineno">25</span><span class="line"><span class="py-string">   SummaryFormatter that implemented that method. Each of these format</span></span>
<a id="line26"></a><span class="lineno">26</span><span class="line"><span class="py-string">   methods returns a string, which may contain a TD tag to create a new</span></span>
<a id="line27"></a><span class="lineno">27</span><span class="line"><span class="py-string">   column.</span></span>
<a id="line28"></a><span class="lineno">28</span><span class="line"><span class="py-string"/></span>
<a id="line29"></a><span class="lineno">29</span><span class="line"><span class="py-string">   An important point to note is that only Strategies which override a</span></span>
<a id="line30"></a><span class="lineno">30</span><span class="line"><span class="py-string">   particular format method are called - if that format method is not</span></span>
<a id="line31"></a><span class="lineno">31</span><span class="line"><span class="py-string">   overridden then it is not called for that declaration type.</span></span>
<a id="line32"></a><span class="lineno">32</span><span class="line"><span class="py-string">   &quot;&quot;&quot;</span></span>
<a id="line33"></a><span class="lineno">33</span>
<a id="line34"></a><span class="lineno">34</span><span class="line">   <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#register">register</a>(self, formatter):</span>
<a id="line35"></a><span class="lineno">35</span><span class="line">      <span class="py-string">&quot;&quot;&quot;Store formatter as self.formatter. The formatter is either a</span></span>
<a id="line36"></a><span class="lineno">36</span><span class="line"><span class="py-string">      SummaryFormatter or DetailFormatter, and is used for things like</span></span>
<a id="line37"></a><span class="lineno">37</span><span class="line"><span class="py-string">      reference() and label() calls. Local references to the formatter's</span></span>
<a id="line38"></a><span class="lineno">38</span><span class="line"><span class="py-string">      reference and label methods are stored in self for more efficient use</span></span>
<a id="line39"></a><span class="lineno">39</span><span class="line"><span class="py-string">      of them.&quot;&quot;&quot;</span></span>
<a id="line40"></a><span class="lineno">40</span>
<a id="line41"></a><span class="lineno">41</span><span class="line">      self.processor = formatter.processor</span>
<a id="line42"></a><span class="lineno">42</span><span class="line">      self.directory_layout = self.processor.directory_layout</span>
<a id="line43"></a><span class="lineno">43</span><span class="line">      self.formatter = formatter</span>
<a id="line44"></a><span class="lineno">44</span><span class="line">      self.label = formatter.label</span>
<a id="line45"></a><span class="lineno">45</span><span class="line">      self.reference = formatter.reference</span>
<a id="line46"></a><span class="lineno">46</span><span class="line">      self.format_type = formatter.format_type</span>
<a id="line47"></a><span class="lineno">47</span><span class="line">      self.view = formatter.view()</span>
<a id="line48"></a><span class="lineno">48</span>
<a id="line49"></a><span class="lineno">49</span><span class="line">   <span class="py-comment">#</span></span>
<a id="line50"></a><span class="lineno">50</span><span class="line">   <span class="py-comment"># Utility methods</span></span>
<a id="line51"></a><span class="lineno">51</span><span class="line">   <span class="py-comment">#</span></span>
<a id="line52"></a><span class="lineno">52</span><span class="line">   <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_modifiers">format_modifiers</a>(self, modifiers):</span>
<a id="line53"></a><span class="lineno">53</span><span class="line">      <span class="py-string">&quot;&quot;&quot;Returns a HTML string from the given list of string modifiers. The</span></span>
<a id="line54"></a><span class="lineno">54</span><span class="line"><span class="py-string">      modifiers are enclosed in 'keyword' spans.&quot;&quot;&quot;</span></span>
<a id="line55"></a><span class="lineno">55</span>
<a id="line56"></a><span class="lineno">56</span><span class="line">      <span class="py-keyword">def</span> keyword(m):</span>
<a id="line57"></a><span class="lineno">57</span><span class="line">         <span class="py-keyword">if</span> m == <span class="py-string">'&amp;'</span>: <span class="py-keyword">return</span> span(<span class="py-string">'keyword'</span>, <span class="py-string">'&amp;amp;'</span>)</span>
<a id="line58"></a><span class="lineno">58</span><span class="line">         <span class="py-keyword">return</span> span(<span class="py-string">'keyword'</span>, m)</span>
<a id="line59"></a><span class="lineno">59</span><span class="line">      <span class="py-keyword">return</span> <span class="py-string">''</span>.join([keyword(m) <span class="py-keyword">for</span> m <span class="py-keyword">in</span> modifiers])</span>
<a id="line60"></a><span class="lineno">60</span>
<a id="line61"></a><span class="lineno">61</span>
<a id="line62"></a><span class="lineno">62</span><span class="line">   <span class="py-comment">#</span></span>
<a id="line63"></a><span class="lineno">63</span><span class="line">   <span class="py-comment"># ASG Formatters</span></span>
<a id="line64"></a><span class="lineno">64</span><span class="line">   <span class="py-comment">#</span></span>
<a id="line65"></a><span class="lineno">65</span><span class="line">   <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_declaration">format_declaration</a>(self, decl): <span class="py-keyword">pass</span></span>
<a id="line66"></a><span class="lineno">66</span><span class="line">   <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_macro">format_macro</a>(self, decl): <span class="py-keyword">pass</span></span>
<a id="line67"></a><span class="lineno">67</span><span class="line">   <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_forward">format_forward</a>(self, decl): <span class="py-keyword">pass</span></span>
<a id="line68"></a><span class="lineno">68</span><span class="line">   <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_group">format_group</a>(self, decl): <span class="py-keyword">pass</span></span>
<a id="line69"></a><span class="lineno">69</span><span class="line">   <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_scope">format_scope</a>(self, decl): <span class="py-keyword">pass</span></span>
<a id="line70"></a><span class="lineno">70</span><span class="line">   <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_module">format_module</a>(self, decl): <span class="py-keyword">pass</span></span>
<a id="line71"></a><span class="lineno">71</span><span class="line">   <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_meta_module">format_meta_module</a>(self, decl): <span class="py-keyword">pass</span></span>
<a id="line72"></a><span class="lineno">72</span><span class="line">   <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_class">format_class</a>(self, decl): <span class="py-keyword">pass</span></span>
<a id="line73"></a><span class="lineno">73</span><span class="line">   <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_class_template">format_class_template</a>(self, decl): <span class="py-keyword">pass</span></span>
<a id="line74"></a><span class="lineno">74</span><span class="line">   <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_typedef">format_typedef</a>(self, decl): <span class="py-keyword">pass</span></span>
<a id="line75"></a><span class="lineno">75</span><span class="line">   <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_enum">format_enum</a>(self, decl): <span class="py-keyword">pass</span></span>
<a id="line76"></a><span class="lineno">76</span><span class="line">   <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_variable">format_variable</a>(self, decl): <span class="py-keyword">pass</span></span>
<a id="line77"></a><span class="lineno">77</span><span class="line">   <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_const">format_const</a>(self, decl): <span class="py-keyword">pass</span></span>
<a id="line78"></a><span class="lineno">78</span><span class="line">   <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_function">format_function</a>(self, decl): <span class="py-keyword">pass</span></span>
<a id="line79"></a><span class="lineno">79</span><span class="line">   <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_function_template">format_function_template</a>(self, decl): <span class="py-keyword">pass</span></span>
<a id="line80"></a><span class="lineno">80</span><span class="line">   <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_operation">format_operation</a>(self, decl): <span class="py-keyword">pass</span></span>
<a id="line81"></a><span class="lineno">81</span><span class="line">   <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_operation_template">format_operation_template</a>(self, decl): <span class="py-keyword">pass</span></span>
<a id="line82"></a><span class="lineno">82</span>
</pre>
<div class="logo">Generated on Thu Apr 16 16:27:16 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
